# -*- encoding: utf-8 -*-
require File.expand_path('../lib/omniauth-outrightmental/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Outright Mental Inc."]
  gem.email         = ["charney@ont.io"]
  gem.description   = %q{Official OmniAuth strategy for Outright Mental Inc.}
  gem.summary       = %q{Login with Outright Mental in order to experience our media.}
  gem.homepage      = "https://github.com/outrightmental/omniauth-outrightmental"
  gem.license       = "MIT"

  gem.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.files         = `git ls-files`.split("\n")
  gem.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  gem.name          = "omniauth-outrightmental"
  gem.require_paths = ["lib"]
  gem.version       = OmniAuth::OutrightMental::VERSION

  gem.add_dependency 'omniauth', '~> 1.0'
  # Nothing lower than omniauth-oauth2 1.1.1
  # http://www.rubysec.com/advisories/CVE-2012-6134/
  gem.add_dependency 'omniauth-oauth2', '>= 1.1.1', '< 2.0'
  gem.add_development_dependency 'rspec', '~> 2.7'
  gem.add_development_dependency 'rack-test', '~> 0'
  gem.add_development_dependency 'simplecov', '~> 0'
  gem.add_development_dependency 'webmock', '~> 0'
end
